Package org.eclipse.ecf.core.events

# Class ContainerDisposeEvent

java.lang.Object
org.eclipse.ecf.core.events.ContainerDisposeEvent

All Implemented Interfaces:
  `IContainerDisposeEvent`, `IContainerEvent`, `Event`

public class ContainerDisposeEvent extends Object implements IContainerDisposeEvent

## Constructor Summary

Constructors
Constructor
Description
`ContainerDisposeEvent(ID localContainerID)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerDisposeEvent

public ContainerDisposeEvent(ID localContainerID)

## Method Details

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`